# RUN: ld64.lld -arch x86_64 -macosx_version_min 10.8 %s -dylib \
# RUN:    %p/Inputs/x86_64/libSystem.yaml -o %t \
# RUN: && llvm-objdump --private-headers %t | FileCheck %s
#

--- !mach-o
arch:            x86_64
file-type:       MH_OBJECT
flags:           [ MH_SUBSECTIONS_VIA_SYMBOLS ]
sections:
  - segment:         __TEXT
    section:         __text
    type:            S_REGULAR
    attributes:      [  ]
    address:         0x0000000000000000
    content:         [ 0x55, 0x48, 0x89, 0xE5, 0x8B, 0x05, 0x00, 0x00,
                       0x00, 0x00, 0x03, 0x05, 0x00, 0x00, 0x00, 0x00,
                       0x5D, 0xC3 ]
global-symbols:
  - name:            _get
    type:            N_SECT
    scope:           [ N_EXT ]
    sect:            1
    value:           0x0000000000000000

...


# CHECK:  PURE_INSTRUCTIONS SOME_INSTRUCTIONS

